none
O setup.exe e o msi gerados pelo vs2010 em plataforma windows 7 não instala na plataforma XP RRS feed

  • Pergunta

  • Pessoal, bom dia.

    Eu tenho tido problemas com o seguinte:

    Eu tenho uma estação de trabalho windows7 e vs2010 premium.

    Gero os setups de instalação com os projetos que vinha usando a tempos já. Mas minha estação de trabalho antes era um xp.

    Ao gerar os setups agora, consigo instala-los normalmente numa plataforma win 2008, win7.

    Mas no xp, digo quando tento instalar o mesmo setup no win xp, a barra de progresso vai até quase o final e depois ela recua e a instalação é abandonada.

    Obs: Fiz a mudança do build Target Plataforma para  "Any cpu", depois para "x86" e mesmo assim nada.

    Mensagem que ocorre: O installer foi interrompido antes que o produto XX fosse instaldo. Voce precisa reiniciar o installer para tentar novamente.

    Alguem já viu isso?


    quarta-feira, 27 de junho de 2012 11:30

Todas as Respostas

  • Ola José, boa tarde.

    Acredito que o seu problema está com o net framework 4.0.

    Ao criar um projeto no Visual Studio, por default ele nos traz algumas opções referente a tecnologia a ser desenvolvida como o Tipo de aplicação(Visual Basic, C#, C++, etc.). Porém o "default" para o framework a ser desenvolvido já no Visual Studio está definido como 4.0.

    Existem várias maneiras de trabalhar esteponto:

    1 - Criando a solução.

    Quando estiver criando um novo projeto, selecione a tecnologia e também selecione o net framework que deverá ser utilizado.

    Para o Windows XP o net framework padrão é 2.0 e para ele já sairam o 3.0, 3.5 e o atual, 4.0. Porém você deve saber qual versão(net framework) o sistema está.

    2 - Fim da solução.

    Quando finalizar a solução você deverá criar um instalador para o seu projeto. E neste instalador você irá adicionar o framework.

    Não lembro de nenhum forúm aqui no MSDN, porém devem ter vários, da uma procurada no google se for o caso.

    Qualquer problema reporta na thread que eu tento ajudar novamente!

    Abraços,

    quinta-feira, 28 de junho de 2012 19:04
  • Olá Mário. Obrigado pela resposta.

    Eu acho que o Framework não é porque tenho duas situações:

    1 - Projeto web site V.S. 2008 que foi convertido para V.S. 2010 e mantivemos o Framework 3.5 (setup tambem foi convertido)

    2 - Projeto windows form V.S. 2010 criado no VS.2010 com Framework 4. (projeto todo, solução e setup)

    Obs: Na maquina XP onde tento instalar o projeto setup 2, Já temos o Framework v4.0.30319 instalado.

    Eu até encontrei um post no msdn Usa, http://social.msdn.microsoft.com/Forums/en-US/winformssetup/thread/6bead7aa-cdc5-4b3d-af0c-82f246b2a3b8/ mas não me ajudou muito. A mensagem de erro parece ser a mesma.

    de qualquer forma, agradeço a atenção.

    att.

    sexta-feira, 29 de junho de 2012 09:41